Update Skill File
curl --request PUT \
--url https://api.duvo.ai/v2/skills/{skill_id}/files/{path} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>"
}
'import requests
url = "https://api.duvo.ai/v2/skills/{skill_id}/files/{path}"
payload = { "content": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({content: '<string>'})
};
fetch('https://api.duvo.ai/v2/skills/{skill_id}/files/{path}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"skill": {
"id": "<string>",
"name": "<string>",
"description": "<string>"
}
}{
"error": "<string>",
"message": "<string>",
"validationErrors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"validationErrors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"validationErrors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"validationErrors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"validationErrors": [
{
"field": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>",
"validationErrors": [
{
"field": "<string>",
"message": "<string>"
}
]
}Skills
Update Skill File
Update the content of a file in a skill. Only team skills can be edited.
PUT
/
v2
/
skills
/
{skill_id}
/
files
/
{path}
Update Skill File
Authorizations
API key authentication. Get your API key from the Duvo dashboard.
Path Parameters
Skill ID.
Relative path to the file inside the skill, e.g. SKILL.md.
Minimum string length:
1Body
application/json
New UTF-8 text content for the file.
Was this page helpful?
⌘I